Skip to main content
`Ctrl`+`K`

# MergeNpConcatenate

class astropy.utils.metadata.MergeNpConcatenate

  Bases: `MergeStrategy`

  Merge `left` and `right` objects using np.concatenate. This merge strategy is globally enabled by default.

  This will upcast a list or tuple to np.ndarray and the output is always ndarray.

  Attributes Summary

  `enabled` |
  `types` |

  Methods Summary

  `merge`(left, right) |

  Attributes Documentation

  enabled = True
  types = [(<class 'numpy.ndarray'>, <class 'numpy.ndarray'>), (<class 'numpy.ndarray'>, (<class 'list'>, <class 'tuple'>)), ((<class 'list'>, <class 'tuple'>), <class 'numpy.ndarray'>)]

  Methods Documentation

  classmethod merge(left, right)